|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionQ3ListView Class Reference

The QStyleOptionQ3ListView class is used to describe the parameters for drawing a Q3ListView. More...

    #include <QStyleOptionQ3ListView>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Public Functions

- QStyleOptionQ3ListView ()
- QStyleOptionQ3ListView ( const QStyleOptionQ3ListView & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- int itemMargin
- QList<QStyleOptionQ3ListViewItem> items
- bool rootIsDecorated
- int sortColumn
- int treeStepSize
- QPalette::ColorRole viewportBGRole
- QPalette viewportPalette

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOptionComplex
- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3ListView class is used to describe the parameters for drawing a Q3ListView.

The class is used for drawing the compat Q3ListView. It is not recommended for use in new code.

## Member Function Documentation

### QStyleOptionQ3ListView::QStyleOptionQ3ListView ()

Creates a QStyleOptionQ3ListView. The members variables are initialized to default values.

### QStyleOptionQ3ListView::QStyleOptionQ3ListView ( const QStyleOptionQ3ListView & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionQ3ListView::Type

Equals SO_Q3ListView.

### const int QStyleOptionQ3ListView::Version

Equals 1.

### int QStyleOptionQ3ListView::itemMargin

This variable holds the margin for items in the list view.

See also Q3ListView::itemMargin().

### QList<QStyleOptionQ3ListViewItem> QStyleOptionQ3ListView::items

This variable holds a list of items in the Q3ListView.

This is a list of QStyleOptionQ3ListViewItems. The first item can be used for most of the calculation that are needed for drawing a list view. Any additional items are the children of this first item, which may be used for additional information.

See also QStyleOptionQ3ListViewItem.

### bool QStyleOptionQ3ListView::rootIsDecorated

This variable holds whether root items are decorated.

See also Q3ListView::rootIsDecorated().

### int QStyleOptionQ3ListView::sortColumn

This variable holds the sort column of the list view.

See also Q3ListView::sortColumn().

### int QStyleOptionQ3ListView::treeStepSize

This variable holds the number of pixel to offset children items from their parents.

See also Q3ListView::treeStepSize().

### QPalette::ColorRole QStyleOptionQ3ListView::viewportBGRole

This variable holds the background role of Q3ListView's viewport.

See also QWidget::backgroundRole().

### QPalette QStyleOptionQ3ListView::viewportPalette

This variable holds the palette of Q3ListView's viewport.